Import map leads as contacts
curl --request POST \
--url https://app.nudgen.net/api/v1/map-leads/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location": "<string>",
"keywords": "<string>",
"leads": [
{
"placeId": "<string>",
"name": "<string>",
"address": "<string>",
"lat": 0,
"lng": 0,
"website": "<string>",
"domain": "<string>",
"phone": "<string>",
"rating": 2.5,
"categories": [
"<string>"
],
"email": "<string>",
"socials": {
"linkedin": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>"
},
"businessSummary": "<string>",
"businessSources": [
{
"url": "<string>",
"title": "<string>"
}
]
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location: '<string>',
keywords: '<string>',
leads: [
{
placeId: '<string>',
name: '<string>',
address: '<string>',
lat: 0,
lng: 0,
website: '<string>',
domain: '<string>',
phone: '<string>',
rating: 2.5,
categories: ['<string>'],
email: '<string>',
socials: {
linkedin: '<string>',
facebook: '<string>',
twitter: '<string>',
instagram: '<string>'
},
businessSummary: '<string>',
businessSources: [{url: '<string>', title: '<string>'}]
}
]
})
};
fetch('https://app.nudgen.net/api/v1/map-leads/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/map-leads/import"
payload = {
"location": "<string>",
"keywords": "<string>",
"leads": [
{
"placeId": "<string>",
"name": "<string>",
"address": "<string>",
"lat": 0,
"lng": 0,
"website": "<string>",
"domain": "<string>",
"phone": "<string>",
"rating": 2.5,
"categories": ["<string>"],
"email": "<string>",
"socials": {
"linkedin": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>"
},
"businessSummary": "<string>",
"businessSources": [
{
"url": "<string>",
"title": "<string>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"summary": {
"created": 123,
"updated": 123,
"skipped": 123,
"skippedReasons": {}
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}API reference
Import map leads as contacts
Import 1–200 businesses into the active workspace. Invalid/missing emails are skipped; existing emails are updated. Stores available business summary/sources and source details. Adds map-lead, location and keyword tags. Contact plan limits apply.
POST
/
api
/
v1
/
map-leads
/
import
Import map leads as contacts
curl --request POST \
--url https://app.nudgen.net/api/v1/map-leads/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location": "<string>",
"keywords": "<string>",
"leads": [
{
"placeId": "<string>",
"name": "<string>",
"address": "<string>",
"lat": 0,
"lng": 0,
"website": "<string>",
"domain": "<string>",
"phone": "<string>",
"rating": 2.5,
"categories": [
"<string>"
],
"email": "<string>",
"socials": {
"linkedin": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>"
},
"businessSummary": "<string>",
"businessSources": [
{
"url": "<string>",
"title": "<string>"
}
]
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location: '<string>',
keywords: '<string>',
leads: [
{
placeId: '<string>',
name: '<string>',
address: '<string>',
lat: 0,
lng: 0,
website: '<string>',
domain: '<string>',
phone: '<string>',
rating: 2.5,
categories: ['<string>'],
email: '<string>',
socials: {
linkedin: '<string>',
facebook: '<string>',
twitter: '<string>',
instagram: '<string>'
},
businessSummary: '<string>',
businessSources: [{url: '<string>', title: '<string>'}]
}
]
})
};
fetch('https://app.nudgen.net/api/v1/map-leads/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/map-leads/import"
payload = {
"location": "<string>",
"keywords": "<string>",
"leads": [
{
"placeId": "<string>",
"name": "<string>",
"address": "<string>",
"lat": 0,
"lng": 0,
"website": "<string>",
"domain": "<string>",
"phone": "<string>",
"rating": 2.5,
"categories": ["<string>"],
"email": "<string>",
"socials": {
"linkedin": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>"
},
"businessSummary": "<string>",
"businessSources": [
{
"url": "<string>",
"title": "<string>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"summary": {
"created": 123,
"updated": 123,
"skipped": 123,
"skippedReasons": {}
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Personal Access Token created from Settings -> API Keys.
Body
application/json
Required string length:
1 - 300Required string length:
1 - 200Required array length:
1 - 200 elementsShow child attributes
Show child attributes
Optional manual tags, normalized to lowercase. sync: and crm:hubspot: prefixes are reserved.
Maximum array length:
10Required string length:
1 - 25Response
Success
Show child attributes
Show child attributes
Was this page helpful?